---

kind: pipeline
type: docker
name: default

steps:
  - name: build only
    image: plugins/docker
    settings:
      dry_run: yes
      repo: git.luj0ga.de/luca/ljg.sh
    when:
      event:
        exclude:
          - tag

  - name: build and publish
    image: plugins/docker
    settings:
      auto_tag: yes
      password:
        from_secret: access_token
      registry: git.luj0ga.de
      repo: git.luj0ga.de/luca/ljg.sh
      username: _
    when:
      event:
        - tag
